Bug 1632577 - Audit log show 'missing' for adding/removing repository to a CV
Summary: Audit log show 'missing' for adding/removing repository to a CV
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Audit Log
Version: 6.4
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: 6.8.0
Assignee: Kavita
QA Contact: Jameer Pathan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-25 07:21 UTC by Jameer Pathan
Modified: 2020-06-08 11:32 UTC (History)
4 users (show)

Fixed In Version: foreman-1.22, katello-3.16.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
Audits show missing for adding/removing repo to a CV (33.15 KB, image/png)
2018-09-25 07:24 UTC, Jameer Pathan
no flags Details
screenshot 2 (85.85 KB, image/png)
2018-09-25 07:27 UTC, Jameer Pathan
no flags Details
Verification_screenshot (32.79 KB, image/png)
2020-06-08 11:31 UTC, Jameer Pathan
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26158 Normal Closed Need modifications to key_to_class method 2020-06-16 15:21:24 UTC
Foreman Issue Tracker 26229 Normal Closed Override to_label method for repository resource to show proper label in audits 2020-06-16 15:21:24 UTC

Description Jameer Pathan 2018-09-25 07:21:49 UTC
Description of problem:
Audit log show 'missing' for adding/removing repository to a CV.

Version-Release number of selected component (if applicable):

@satellite 6.4.0 snap 23
How reproducible:
always

Steps to Reproduce:

1. Create a content view
2. Add repository to it
3. Go to Audits


Actual results:
"Repository ids changed from [empty] to Missing(ID: <repo_id>)" in Audits. If 
you click on details it also show missing.

Expected results:
name of repositories added to CV instead of Missing(ID: <repo_id>)

Additional info:

Comment 1 Jameer Pathan 2018-09-25 07:24:41 UTC
Created attachment 1486622 [details]
Audits show missing for adding/removing repo to a CV

Comment 2 Jameer Pathan 2018-09-25 07:27:35 UTC
Created attachment 1486623 [details]
screenshot 2

Comment 4 Bryan Kearney 2019-03-05 07:04:12 UTC
Upstream bug assigned to kgaikwad@redhat.com

Comment 10 Bryan Kearney 2020-03-20 16:04:55 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26158 has been resolved.

Comment 11 Jameer Pathan 2020-06-08 11:31:07 UTC
Verified

Verified with:
- Satellite 6.8 snap 3

Test steps:
1. Create a content view
2. Add repository to it
3. Go to Audits

Observation:
- Adding/Removing repositories from content view now shows names of those repositories in Audits.

Comment 12 Jameer Pathan 2020-06-08 11:31:53 UTC
Created attachment 1696040 [details]
Verification_screenshot


Note You need to log in before you can comment on or make changes to this bug.